<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        /*
        Ancho y alto
        color de fondo
        border radius top right y left para hacer el semicirculo de arriba
        Hacemos que se mueve con la animación mover
        Lo hacemos flex para colocar el texto en el centro
        */
        .fantasma {
            width: 150px;
            height: 200px;
            background-color: blueviolet;
            border-top-right-radius: 50%;
            border-top-left-radius: 50%;
            animation: mover 5s infinite linear;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        /*
        Usamos el ::before y ponemos el content a vacio
        cambiamos el tamaño del texto
        Ponemos una animación llamada ojos
        */
        .texto:before {
            content: '';
            font-size: 3em;
            animation: ojos 5s infinite linear
        }

        /*
        Animación mover
        translateX se mueve en X
        translateY se mueve en Y
        */
        @keyframes mover {
            0% {}

            25% {
                /*Si a translate le metes un % coge el % de lo que mide
                Como el width es 150px se mueve 75px a la derecha
                */
                transform: translateX(50%);
            }

            50% {
                transform: translateY(50%) translateX(50%);
            }

            75% {
                transform: translateX(0%) translateY(50%);
            }

            100% {
                transform: translateY(0%);
            }
        }

        /*
        Animación de los ojos
        Vamos cambiando el contentido del texto y su color
        */
        @keyframes ojos {
            0% {
                content: '0,0';
                color: white;
            }

            25% {
                content: '';
            }

            50% {
                content: '0.0';
                color: black;
            }

            75% {
                content: '';
            }

            100% {
                content: '0,0';
                color: aqua;
            }
        }
    </style>
</head>

<body>

    <div class="fantasma">
        <div class="texto"></div>
    </div>
</body>

</html>